eID middleware |

# be::portugal::eid::PTEID_ExReaderSetChanged Class Reference

Exception class Readerset changed (error code = EIDMW_ERR_READERSET_CHANGED). More...

Inheritance diagram for be::portugal::eid::PTEID_ExReaderSetChanged:

List of all members.

## Public Member Functions
override void | Dispose ()
| PTEID_ExReaderSetChanged ()

## Detailed Description

Exception class Readerset changed (error code = EIDMW_ERR_READERSET_CHANGED).

Throw when accessing to a card object but the readerset has been changed. Used in :

- PTEID_Object::checkContextStillOk()

## Constructor & Destructor Documentation

be::portugal::eid::PTEID_ExReaderSetChanged::PTEID_ExReaderSetChanged | ( |  | ) | `[inline]`

## Member Function Documentation

override void be::portugal::eid::PTEID_ExReaderSetChanged::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Exception.